#include <iostream>
#include <string>

using namespace std;

int main()
{
    int i, j, br=0, m;
    string t, s, t1="";
    cin >> t;
    cin >> s;
    if(s.size()==1)
    {
        for(i=0; i<t.size(); i++)
        {
            if(t[i]==s[0])
            {
                t[i]='*';
                br++;
            }
        }
        cout << br << endl;
        cout << t << endl;
    }
    else
    {
        j=0;
        for (i = 0; i < t.size() && j < s.size(); i++)
        {
            if (s[j] == t[i])
            {
                j++;
            }
        }
        if(j!=s.size())
        {
            cout << 0 << endl;
            cout << t << endl;
        }
        else
        {
            // sva slova su ista
            m = s.size();
            j=0;
            for(i=0;i<t.size();i++)
            {
                if(t[i]==s[0])
                {
                    if(j>=m-1)
                    {
                        t[i]='*';
                        br++;
                    }
                    j++;
                }
            }
            cout << br << endl;
            cout << t << endl;
        }
    }
}